set xlabel "$n$"
set ylabel "Speedup of overall performance ($S$)"
set format x "%g"
set format y "%g"
set logscale x
set xrange [1:10000]
set yrange [0:110]
set xtics 10
set ytics 0,10,100
#set key at 15,90

#
# \ --> \\
# { --> \\{
# } --> \\}
# 
# example 1:
# $r = 99$\%
# -->
# $r = 99$\\%
# 
# example 2:
# $\displaystyle S=\frac{1}{r/n+(1-r)}$
# -->
# $\\displaystyle S=\\frac\\{1\\}\\{r/n+(1-r)\\}$
#

set label "$r = 99$\\%" at 500, 99
set label "$r = 98$\\%" at 500, 53
set label "$r = 96$\\%" at 500, 30
set label "$r = 90$\\%" at 500, 15
set label "アムダールの法則" at 2, 95
set label "(Amdahl's Law)" at 2, 85
set label "$\\displaystyle S=\\frac\\{1\\}\\{r/n+(1-r)\\}$" at 2, 72

plot 1.0/(0.01+0.99/x) notitle, \
     1.0/(0.02+0.98/x) notitle, \
     1.0/(0.04+0.96/x) notitle, \
     1.0/(0.10+0.90/x) notitle

#pause -1 "Type return to continue"

set size 0.7, 0.7

set terminal postscript eps enhanced color font 'Times-Roman,16'
#set terminal postscript eps enhanced color font 'Helvetica,16'
#set terminal postscript eps enhanced color font 'Courier,16'
set output "amdahl_law.ps"
replot
