set xlabel "Traffic load $\\lambda$ (packets/cycle/node)" font "Times-Roman, 16"
set ylabel "Average packet latency (clock cycles)" font "Times-Roman, 16"

set format x "%.1f"
set format y "%g"

set xrange [0.05:0.95]
set xtics 0.0,0.1,0.9
set xtics font "Times-Roman,16"
set mxtics 2

set yrange [125:625]
set ytics 150,50,600
set ytics font "Times-Roman,16"
set mytics 2

set key at 0.91,300

set border linewidth .5 linecolor rgb '#000000'
set tics scale 0.75

set style line  1 lt rgb "#0000aa" lw 1
set style line  2 lt rgb "#00aa00" lw 1
set style line  3 lt rgb "#aa0000" lw 1
set style line  4 lt rgb "#777700" lw 1
set style line  5 lt rgb "#aa00aa" lw 1
set style line  6 lt rgb "#00aaaa" lw 1
set style line  7 lt rgb "#ee0000" lw 1
set style line  8 lt rgb "#00cc00" lw 1
set style line  9 lt rgb "#0000ee" lw 1
set style line 10 lt rgb "#eeee00" lw 1
set style line 11 lt rgb "#ee00ee" lw 1
set style line 12 lt rgb "#00cccc" lw 1
set style line 13 lt rgb "#333333" lw 1
set style line 14 lt rgb "#000000" lw 1
set style line 15 lt rgb "#777777" lw 1

set label "\\textcolor\\{magenta\\}\\{低いほど良い\\}" at 0.1, 550

plot "packet_delay.dat" using 1:2 title "Bidir. Clos Random"      with lp ls 4, \
     "packet_delay.dat" using 1:3 title "MiKANT Random"           with lp ls 9, \
     "packet_delay.dat" using 1:4 title "Peer Fat-Tree Random"    with lp ls 3, \
     "packet_delay.dat" using 1:5 title "Bidir. Clos Inversion"   with lp ls 5, \
     "packet_delay.dat" using 1:6 title "MiKANT Inversion"        with lp ls 7, \
     "packet_delay.dat" using 1:7 title "Peer Fat-Tree Inversion" with lp ls 6

#pause -1 "Type return to continue"

set size 0.7, 0.7
set terminal postscript eps enhanced color font 'Times-Roman,14'
set output "packet_delay.ps"
replot
